@mixin small {
	--HEIGHT: var(--digi--form-input--height--small);
}

@mixin medium {
	--HEIGHT: var(--digi--form-input--height--medium);
}

@mixin large {
	--HEIGHT: var(--digi--form-input--height--large);
}

@mixin empty {
	--BACKGROUND: var(--digi--form-input--background--empty);
}

@mixin neutral {
	--BORDER: var(--digi--form-input--border--neutral);
	--BORDER-COLOR: var(--digi--form-input--border-color--neutral);
	--BACKGROUND: var(--digi--form-input--background--neutral);
}

@mixin success {
	--BORDER: var(--digi--form-input--border--success);
	--BORDER-COLOR: var(--digi--form-input--border-color--success);
	--BACKGROUND: var(--digi--form-input--background--success);
}

@mixin warning {
	--BORDER: var(--digi--form-input--border--warning);
	--BORDER-COLOR: var(--digi--form-input--border-color--warning);
	--BACKGROUND: var(--digi--form-input--background--warning);
}

@mixin error {
	--BORDER: var(--digi--form-input--border--error);
	--BORDER-COLOR: var(--digi--form-input--border-color--error);
	--BACKGROUND: var(--digi--form-input--background--error);
}
